////////////////////////////////////////////////
// non-normalized student t function.         //
// use norm(nu) to get normalization factor.  //
////////////////////////////////////////////////

#include "fitline.h"

dbl stud( dbl t, int nu )
{
    dbl x, n ;
    n = nu ;        // converts nu to a double

    x = 1.0 + t * t / n ;
    x = pow( x, 0.5 * ( n + 1.0 ) ) ;
    return ( 1.0 / x ) ;
}
