////////////////////////////////////////////////////
// used by "help" option to print info on screen  //
////////////////////////////////////////////////////

#include "fitline.h"

void prn_info( void )
{
    fprintf( stderr, "%s\n\n",
        "    The \"fitline\" program uses the least-squares method to fit a\n"
        "    straight line to a set of points contained in a datafile.\n"
        "    Every line of the datafile should contain two (or three) numbers\n"
        "    separated by spaces or tabs: x[i], y[i], and (optionally) s[i].\n"
        "    See \"man fitline\" for a complete description."  
        ) ;
    prn_usage() ;
    fprintf( stderr, "%s\n", 
        "   Options (which may be in any order):\n"
        "     -help        display this message\n"
        "     -goplot      create an output file for goplot\n"
        "     -gnuplot     create an output file for gnuplot X11\n"
        "     -gnups       create an output file for gnuplot postscript\n"
        "     -sigma       use only if \'absolute\' estimates of s[i] are\n"
        "                  supplied in the third column of the datafile\n"
        "     -version     print version number\n"
        ) ;
}
